/***************************************************************************
                          kspelllistitem.h  -  description
                             -------------------
    begin                : Fri May 17 2002
    copyright            : (C) 2002 by Zach Hobbs
    email                : zach@firstwavedesign.com
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef KSPELLLISTITEM_H
#define KSPELLLISTITEM_H

#include <klistview.h>
#include <qpalette.h>

/**
  *@author Zach Hobbs
  */

class KSpellListItem : public KListViewItem  {
public: 
  	KSpellListItem( QListViewItem* parent, QColor textcolor, QString label1, 
	QString label2 = QString::null, QString label3 = QString::null, QString label4 = QString::null, 
	QString label5 = QString::null, QString label6 = QString::null, QString label7 = QString::null, 
	QString label8 = QString::null);
 
	~KSpellListItem();
 
  void paintCell( QPainter * p, const QColorGroup & cg, int column, int width, int align );
  
private:

	QColor color;

};

#endif
